Debian Bug report logs - #482915
texlive-doc-en: No license info for some fontinst documentation

version graph

Package: texlive-font-utils; Maintainer for texlive-font-utils is Debian TeX Maintainers <debian-tex-maint@lists.debian.org>; Source for texlive-font-utils is src:texlive-extra.

Reported by: Frank Küster <frank@debian.org>

Date: Sun, 25 May 2008 21:09:32 UTC

Severity: serious

Fixed in version texlive-bin/2007.dfsg.2-3

Done: Norbert Preining <preining@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Frank Küster <frank@debian.org>, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#482915; Package texlive-doc-en. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
New Bug report received and forwarded. Copy sent to Frank Küster <frank@debian.org>, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: texlive-doc-en: No license info for some fontinst documentation
Date: Sun, 25 May 2008 23:06:37 +0200
Package: texlive-doc-en
Version: 2007-4
Severity: serious

Here's one more bug taken over from tetex-doc. Since it's hidden in a
"nonfreeness collection" bugreport, and most of it has been resolved, I
create a new report, forwarding the small number of relevant mails.

Actually, back then we already had contacted the upstream author, and he
had asked what he needs to do to clear up the license, and received an
answer - but then we didn't follow up...

From: Frank Küster <frank@kuesterei.ch>
Subject: License of the fontinst documentation
To: fontinst@tug.org
Cc: 345604@bugs.debian.org
Date: Thu, 23 Feb 2006 14:00:04 +0100

Dear fontinst maintenance team,

upon verifying the license information for various packages on CTAN and
in Debian's teTeX package, I found that the license information for
fontinst is incomplete.

Every source file contains a "LPPL version <whatever> or later"
statement, but the pure documentation files don't contain such a license
statement.  I assume, as far as the TeX sources are included, they are
under the same license, LPPL?  

But there's also files in the talks subdirectory for which no source is
currently available.  Do you know about the license situation for them,
or should I try to contact Ulrik or Taco?  And, for that matter, I guess
roadmap.eps has been created with MetaPost - do you happen to have the
sources available?

Many thanks in advance, Frank


-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable'), (99, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-6-686
Locale: LANG=de_DE@euro, LC_CTYPE=de_DE@euro (charmap=ISO-8859-15)

Versions of packages texlive-doc-en depends on:
ii  texlive-common                2007-14    TeX Live: Base component
ii  texlive-doc-base              2007-4     TeX Live: Base documentation

texlive-doc-en recommends no packages.

Versions of packages tex-common depends on:
ii  debconf                      1.5.11etch1 Debian configuration management sy
ii  ucf                          2.0020      Update Configuration File: preserv

Versions of packages texlive-doc-en is related to:
pn  tetex-base                    <none>     (no description available)
ii  tetex-bin                     2007-14    TeX Live: teTeX transitional packa
ii  tetex-extra                   2007-14    TeX Live: teTeX transitional packa
ii  tex-common                    1.10       common infrastructure for building

-- debconf information:
  tex-common/check_texmf_wrong:
  tex-common/check_texmf_missing:

-- 
Frank Küster
Debian Developer (teTeX/TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#482915; Package texlive-doc-en. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@kuesterei.ch>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 482915@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@kuesterei.ch>
To: 482915@bugs.debian.org
Subject: Re: texlive-doc-en: No license info for some fontinst documentation
Date: Mon, 26 May 2008 23:04:36 +0200
From: Taco Hoekwater <taco@elvenkind.com>
Subject: Re: [Fontinst] License of the fontinst documentation
To: Frank Küster <frank@kuesterei.ch>
CC: fontinst@tug.org,  345604@bugs.debian.org
Date: Sat, 25 Feb 2006 09:25:30 +0100

Frank Küster wrote:
>
> But there's also files in the talks subdirectory for which no source is
> currently available.  Do you know about the license situation for them,
> or should I try to contact Ulrik or Taco?  And, for that matter, I guess
> roadmap.eps has been created with MetaPost - do you happen to have the
> sources available?

I completely forgot I helped with that talk. The documents were
prepared by Ulrik (I do not have sources and am not an author).

Taco



-- 
Frank Küster
Debian Developer (teTeX/TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#482915; Package texlive-doc-en. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #15 received at 482915@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: 482915@bugs.debian.org
Subject: Re: Bug#482915: texlive-doc-en: No license info for some fontinst documentation
Date: Tue, 27 May 2008 22:13:03 +0200
From: Ulrik Vieth <ulrik.vieth@arcor.de>
Subject: Re: [Fontinst] License of the fontinst documentation
To: Taco Hoekwater <taco@elvenkind.com>
CC: Frank Küster <frank@kuesterei.ch>,  345604@bugs.debian.org,  fontinst@tug.org
Date: Sun, 26 Feb 2006 00:53:50 +0100

Taco Hoekwater wrote:
> Frank Küster wrote:
>
>>
>> But there's also files in the talks subdirectory for which no source is
>> currently available.  Do you know about the license situation for them,
>> or should I try to contact Ulrik or Taco?  And, for that matter, I guess
>> roadmap.eps has been created with MetaPost - do you happen to have the
>> sources available?
>
>
> I completely forgot I helped with that talk. The documents were
> prepared by Ulrik (I do not have sources and am not an author).

Hi Frank,

I prepared the documents for a presentation at EuroTeX 99 and Taco
assisted with the presentation. Therefore his name was on it as well.

As for licensing, I never bothered to define any specifc license for
the documents. As far as I know, they have been available on CTAN
since fontinst-prerelease-1.914 in November 1999. (I just checked the
CTAN CD 2000, which shows a filedate of Nov 16 1999 for doc/talks.)

As for sources, I may still have them somewhere on my local machine,
but they were never released, partly because the fonts required to
typeset the documents are non-free (Lucida Bright) and partly because
the PDF doucments are the final form intended for consumption.

As for roadmap.eps, the diagram was presumably created by Alan Jeffrey
and has been part of earlier fontinst distributions since 1995.

The orignal source of the EPS may have been created with xfig, since
the archive copy of fontinst-1.504 contains a file roadmap.fig along
with roadmap.eps, which can be found here:

ftp://ftp.tug.org/historic/fonts/utilities/fontinst/fontinst-1.504/doc/


Please let me know, if you need and further statement of clarification
regarding the licensing isseue.

Ulrik Vieth







-- 
Frank Küster
Debian Developer (teTeX/TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#482915; Package texlive-doc-en. Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 482915@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Frank Küster <frank@debian.org>, 482915@bugs.debian.org
Subject: Re: Bug#482915: texlive-doc-en: No license info for some fontinst documentation
Date: Wed, 25 Jun 2008 12:35:43 +0200
Hi Frank,

I was reading through this last open RC bug in texlive-doc (the
catalogue is already blacklisted)

On Di, 27 Mai 2008, Frank Küster wrote:
> >> But there's also files in the talks subdirectory for which no source is

Which talks subdirectory? There is non in TeX Live, or do I miss
something?

> >> roadmap.eps has been created with MetaPost - do you happen to have the

That is the only question ...

> As for roadmap.eps, the diagram was presumably created by Alan Jeffrey
> and has been part of earlier fontinst distributions since 1995.
> 
> The orignal source of the EPS may have been created with xfig, since
> the archive copy of fontinst-1.504 contains a file roadmap.fig along
> with roadmap.eps, which can be found here:
> 
> ftp://ftp.tug.org/historic/fonts/utilities/fontinst/fontinst-1.504/doc/

Found that, and it is the very same eps, so the source is here.

What should we do now? I guess - honestly - that we will not reach ALan
Jeffrey about that, we are talking about 1995!!!

I could simply include the roadmap.fig and so it be with it.

What do you think?

Best wishes

Norbert

-------------------------------------------------------------------------------
Dr. Norbert Preining <preining@logic.at>        Vienna University of Technology
Debian Developer <preining@debian.org>                         Debian TeX Group
gpg DSA: 0x09C5B094      fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------
QUABBS (pl.n.)
The substances which emerge when you squeeze a blackhead.
			--- Douglas Adams, The Meaning of Liff




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#482915; Package texlive-doc-en. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 482915@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Norbert Preining <preining@logic.at>
Cc: 482915@bugs.debian.org
Subject: Re: Bug#482915: texlive-doc-en: No license info for some fontinst documentation
Date: Wed, 25 Jun 2008 20:42:01 +0200
Norbert Preining <preining@logic.at> wrote:

> Hi Frank,
>
> I was reading through this last open RC bug in texlive-doc (the
> catalogue is already blacklisted)
>
> On Di, 27 Mai 2008, Frank Küster wrote:
>> >> But there's also files in the talks subdirectory for which no source is
>
> Which talks subdirectory? There is non in TeX Live, or do I miss
> something?

It used to be there in TL2005, but now it seems it is gone. On CTAN, it
is in 

http://tug.ctan.org/tex-archive/fonts/utilities/fontinst/doc/talks/

Can you take the opportunity to show me how to find out myself why this
is not copied to Master/texmf-dist/doc/fontinst/?

>> ftp://ftp.tug.org/historic/fonts/utilities/fontinst/fontinst-1.504/doc/
>
> Found that, and it is the very same eps, so the source is here.
>
> What should we do now? I guess - honestly - that we will not reach ALan
> Jeffrey about that, we are talking about 1995!!!
>
> I could simply include the roadmap.fig and so it be with it.

I didn't read the fontinst guide, but I guess the content of this
roadmap file is just repeating in graphical form what the doc talks
about, so there isn't any copyrightable creative work in this. 

The graphical representation, on the other hand, might be protected by
IP law. 

I wouldn't want to judge this.

Regards, Frank

-- 
Frank Küster
Debian Developer (teTeX/TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#482915; Package texlive-doc-en. Full text and rfc822 format available.

Acknowledgement sent to Norbert Preining <preining@logic.at>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 482915@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@logic.at>
To: Frank Küster <frank@debian.org>
Cc: 482915@bugs.debian.org
Subject: Re: Bug#482915: texlive-doc-en: No license info for some fontinst documentation
Date: Wed, 25 Jun 2008 21:45:09 +0200
On Mi, 25 Jun 2008, Frank Küster wrote:
> Can you take the opportunity to show me how to find out myself why this
> is not copied to Master/texmf-dist/doc/fontinst/?

Why, because we (Karl, me, whoever) didn't include it into the TeX Live
repository? I am not sure what you mean with "show me ...". The talks
directory is not only not present in the Debian packages, but also in
upstream TL 2007 Master. So well.

> The graphical representation, on the other hand, might be protected by
> IP law. 

I will (would?) take a practical POV: All the documents/files are free,
that one .fig is missing a statement, so what.

I will (would?) add the .fig, and close this bug.

WDYT?

Best wishes

Norbert

-------------------------------------------------------------------------------
Dr. Norbert Preining <preining@logic.at>        Vienna University of Technology
Debian Developer <preining@debian.org>                         Debian TeX Group
gpg DSA: 0x09C5B094      fp: 14DF 2E6C 0307 BE6D AD76  A9C0 D2BF 4AA3 09C5 B094
-------------------------------------------------------------------------------
SNITTERFIELD (n.)
Office noticeboard on which snitters (q.v.), cards saying 'You don't
have to be mad to work here, but if you are it helps !!!' and slightly
smutty postcards from Ibiza get pinned up by snitterbies (q.v.)
			--- Douglas Adams, The Meaning of Liff




Bug reassigned from package `texlive-doc-en' to `texlive-font-utils'. Request was from Norbert Preining <preining@logic.at> to control@bugs.debian.org. (Thu, 26 Jun 2008 21:06:03 GMT) Full text and rfc822 format available.

Reply sent to Norbert Preining <preining@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Frank Küster <frank@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 482915-close@bugs.debian.org (full text, mbox):

From: Norbert Preining <preining@debian.org>
To: 482915-close@bugs.debian.org
Subject: Bug#482915: fixed in texlive-bin 2007.dfsg.2-3
Date: Fri, 27 Jun 2008 09:02:51 +0000
Source: texlive-bin
Source-Version: 2007.dfsg.2-3

We believe that the bug you reported is fixed in the latest version of
texlive-bin, which is due to be installed in the Debian FTP archive:

libkpathsea-dev_2007.dfsg.2-3_i386.deb
  to pool/main/t/texlive-bin/libkpathsea-dev_2007.dfsg.2-3_i386.deb
libkpathsea4_2007.dfsg.2-3_i386.deb
  to pool/main/t/texlive-bin/libkpathsea4_2007.dfsg.2-3_i386.deb
texlive-base-bin-doc_2007.dfsg.2-3_i386.deb
  to pool/main/t/texlive-bin/texlive-base-bin-doc_2007.dfsg.2-3_i386.deb
texlive-base-bin_2007.dfsg.2-3_i386.deb
  to pool/main/t/texlive-bin/texlive-base-bin_2007.dfsg.2-3_i386.deb
texlive-bin_2007.dfsg.2-3.diff.gz
  to pool/main/t/texlive-bin/texlive-bin_2007.dfsg.2-3.diff.gz
texlive-bin_2007.dfsg.2-3.dsc
  to pool/main/t/texlive-bin/texlive-bin_2007.dfsg.2-3.dsc
texlive-extra-utils_2007.dfsg.2-3_i386.deb
  to pool/main/t/texlive-bin/texlive-extra-utils_2007.dfsg.2-3_i386.deb
texlive-font-utils_2007.dfsg.2-3_i386.deb
  to pool/main/t/texlive-bin/texlive-font-utils_2007.dfsg.2-3_i386.deb
texlive-lang-indic_2007.dfsg.2-3_i386.deb
  to pool/main/t/texlive-bin/texlive-lang-indic_2007.dfsg.2-3_i386.deb
texlive-metapost-doc_2007.dfsg.2-3_i386.deb
  to pool/main/t/texlive-bin/texlive-metapost-doc_2007.dfsg.2-3_i386.deb
texlive-metapost_2007.dfsg.2-3_i386.deb
  to pool/main/t/texlive-bin/texlive-metapost_2007.dfsg.2-3_i386.deb
texlive-music_2007.dfsg.2-3_i386.deb
  to pool/main/t/texlive-bin/texlive-music_2007.dfsg.2-3_i386.deb
texlive-omega_2007.dfsg.2-3_i386.deb
  to pool/main/t/texlive-bin/texlive-omega_2007.dfsg.2-3_i386.deb
texlive-xetex_2007.dfsg.2-3_i386.deb
  to pool/main/t/texlive-bin/texlive-xetex_2007.dfsg.2-3_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 482915@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Norbert Preining <preining@debian.org> (supplier of updated texlive-bin package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 26 Jun 2008 23:14:59 +0200
Source: texlive-bin
Binary: texlive-base-bin texlive-extra-utils texlive-font-utils texlive-metapost texlive-omega texlive-xetex texlive-music texlive-lang-indic libkpathsea4 libkpathsea-dev texlive-metapost-doc texlive-base-bin-doc
Architecture: source i386
Version: 2007.dfsg.2-3
Distribution: unstable
Urgency: medium
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Changed-By: Norbert Preining <preining@debian.org>
Description: 
 libkpathsea-dev - TeX Live: path search library for TeX (development part)
 libkpathsea4 - TeX Live: path search library for TeX (runtime part)
 texlive-base-bin - TeX Live: Essential binaries
 texlive-base-bin-doc - TeX Live: Documentation files for texlive-base-bin
 texlive-extra-utils - TeX Live: TeX auxiliary programs
 texlive-font-utils - TeX Live: TeX font-related programs
 texlive-lang-indic - TeX Live: Indic
 texlive-metapost - TeX Live: MetaPost (and Metafont) drawing packages
 texlive-metapost-doc - TeX Live: Documentation files for texlive-metapost
 texlive-music - TeX Live: Music typesetting
 texlive-omega - TeX Live: Omega
 texlive-xetex - TeX Live: XeTeX macros
Closes: 482915
Changes: 
 texlive-bin (2007.dfsg.2-3) unstable; urgency=medium
 .
   * add missing source roadmap.fig of roadmap.eps in fontinst documentation
     (Closes: #482915) (urgency medium due to RC bug)
     (new patch add-missing-fontinst-source)
Checksums-Sha1: 
 03c40c611ff3c21407c9bc0e27b3022daf285a73 1691 texlive-bin_2007.dfsg.2-3.dsc
 3106e886e0314f89804308e883a8949172c988a3 356759 texlive-bin_2007.dfsg.2-3.diff.gz
 dc9a23b2153761a55f6b5d5c6c173e9bc525bd39 2365114 texlive-base-bin_2007.dfsg.2-3_i386.deb
 38221177f3e88f562886b39671cf81f0dbd4d7e9 610362 texlive-extra-utils_2007.dfsg.2-3_i386.deb
 34eda693e1f0067d2577e63eeb4ee59f2d006871 1266714 texlive-font-utils_2007.dfsg.2-3_i386.deb
 d0e5ff8e10a17caf0eb86c787557bf89ac413623 608994 texlive-metapost_2007.dfsg.2-3_i386.deb
 152d5b2a498efb186106a6147bb736847fde8223 2724864 texlive-omega_2007.dfsg.2-3_i386.deb
 10c4deb4cfe9f1f9232c543fe860beb397401722 6328316 texlive-xetex_2007.dfsg.2-3_i386.deb
 fa68738959f60a0c18ad419bc52c63e8dfb688bc 1722278 texlive-music_2007.dfsg.2-3_i386.deb
 8d392fd947942ad433174da145a3228de3a9e555 6728096 texlive-lang-indic_2007.dfsg.2-3_i386.deb
 72d40ba0c26deea84879e42dca4de4ca2001af1a 120726 libkpathsea4_2007.dfsg.2-3_i386.deb
 3a9ad2701d9d2ae21315f41b73049646eb0f3056 157010 libkpathsea-dev_2007.dfsg.2-3_i386.deb
 6b77d62a214385fa0f7f8a0b3951189287af4a0c 6782284 texlive-metapost-doc_2007.dfsg.2-3_i386.deb
 e2240fce7b924c8c777ee9c78f28704add6819ac 8608172 texlive-base-bin-doc_2007.dfsg.2-3_i386.deb
Checksums-Sha256: 
 039cad811d8e2bfdb04bab4b60e96726be3a5dfd5516bd148916e1188b88fa5a 1691 texlive-bin_2007.dfsg.2-3.dsc
 3c59917d787a47d8bbd133565b0be5885c726729608f502f29c5d0944f17d261 356759 texlive-bin_2007.dfsg.2-3.diff.gz
 230cbe81f509063ad5bdf15fe2189d3c589cf33b3dae69ed5d33bba498ee7fe6 2365114 texlive-base-bin_2007.dfsg.2-3_i386.deb
 8610b401fcd19d04a48a9369a4b26fe39e45e243161b2838b60e498e79542f8f 610362 texlive-extra-utils_2007.dfsg.2-3_i386.deb
 5a993068967d36b98b78cf8bd98cd71504c6f451368180aa7d8bd5b46fd4965f 1266714 texlive-font-utils_2007.dfsg.2-3_i386.deb
 b6a15006bf5a6b0c9a52f5d9042ba26a05500bbd1cbabaf4b920d8e953845dc0 608994 texlive-metapost_2007.dfsg.2-3_i386.deb
 2e37743e24ba5ff4d974180d9d17cdb6950c21402091adcf55abb3684b968fc7 2724864 texlive-omega_2007.dfsg.2-3_i386.deb
 92d8cc634f7074ac423fbef7c2e524a6f5fd536217b5bff95ec2eea59022606e 6328316 texlive-xetex_2007.dfsg.2-3_i386.deb
 ae11c5cd4eda4f0b66d556ca7e005545ebde18b1112797fc71b44857524bc151 1722278 texlive-music_2007.dfsg.2-3_i386.deb
 552fd2f58ebf60cabb2d7f8a468352f53dda5567b5e489bf64e43a40b17a1f0a 6728096 texlive-lang-indic_2007.dfsg.2-3_i386.deb
 c9116c51ed5c19e4b572d2f35d0671008328ea75f5625eae9c720bc270efa5bf 120726 libkpathsea4_2007.dfsg.2-3_i386.deb
 c1739ac018dfafd4b844d23d9df007bc815a86007db07b19fca052182ec64a9b 157010 libkpathsea-dev_2007.dfsg.2-3_i386.deb
 ab9cb639c1e22fc19d40ca31cac551c4e1a0962f1741beca70f00b7a978c5e14 6782284 texlive-metapost-doc_2007.dfsg.2-3_i386.deb
 94f047e6b9497bf5139f2e0c733289f30a3f846c05a9b532902251e2cd4e339c 8608172 texlive-base-bin-doc_2007.dfsg.2-3_i386.deb
Files: 
 a8259e2f241fe64fa67376046d5caa69 1691 tex optional texlive-bin_2007.dfsg.2-3.dsc
 ff60c149f7026fcb7cbef025b2ac23f0 356759 tex optional texlive-bin_2007.dfsg.2-3.diff.gz
 95b40842cde4b94ff0f6b48c4a89e0b1 2365114 tex optional texlive-base-bin_2007.dfsg.2-3_i386.deb
 6759c47772cf5fe2dd681cd8e4b33086 610362 tex optional texlive-extra-utils_2007.dfsg.2-3_i386.deb
 d716d2ce69c1f433b7075c89740ffb6b 1266714 tex optional texlive-font-utils_2007.dfsg.2-3_i386.deb
 fd64e59f38d9b6b4df08cd6e48c37f81 608994 tex optional texlive-metapost_2007.dfsg.2-3_i386.deb
 0840fd0bd5fa27a63318950c18ece98b 2724864 tex optional texlive-omega_2007.dfsg.2-3_i386.deb
 68ed8e790c2354da3778856653c41511 6328316 tex optional texlive-xetex_2007.dfsg.2-3_i386.deb
 dc8f46247e8c2940e5ce2ee39b120288 1722278 tex optional texlive-music_2007.dfsg.2-3_i386.deb
 f19d4a83291f168cac671895c4d60f22 6728096 tex optional texlive-lang-indic_2007.dfsg.2-3_i386.deb
 3e47773e8df5febbd35fbac2f7edfbdb 120726 libs optional libkpathsea4_2007.dfsg.2-3_i386.deb
 282088de783b4f7b1e5c99e52d976747 157010 libdevel optional libkpathsea-dev_2007.dfsg.2-3_i386.deb
 63fed6014b4c72b4709950db98c40ce5 6782284 doc optional texlive-metapost-doc_2007.dfsg.2-3_i386.deb
 7d61be656a9ff32b9c6d2b4643f343ad 8608172 doc optional texlive-base-bin-doc_2007.dfsg.2-3_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iD8DBQFIZA740r9KownFsJQRAlU3AJ9EEghKNgUsuMU25zMFS9sFKESk6gCfVMej
QltbWm1KyTbKAZymBCTgYz8=
=k3qz
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#482915; Package texlive-font-utils. Full text and rfc822 format available.

Acknowledgement sent to Frank Küster <frank@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #42 received at 482915@bugs.debian.org (full text, mbox):

From: Frank Küster <frank@debian.org>
To: Norbert Preining <preining@logic.at>
Cc: 482915@bugs.debian.org
Subject: Re: Bug#482915: texlive-doc-en: No license info for some fontinst documentation
Date: Wed, 02 Jul 2008 20:45:18 +0200
Norbert Preining <preining@logic.at> wrote:

> On Mi, 25 Jun 2008, Frank Küster wrote:
>> Can you take the opportunity to show me how to find out myself why this
>> is not copied to Master/texmf-dist/doc/fontinst/?
>
> Why, because we (Karl, me, whoever) didn't include it into the TeX Live
> repository? I am not sure what you mean with "show me ...". 

I thought that there is an automatic way of updating texmf trees from
CTAN?  Don't your scripts check whether anything has been uploaded to
CTAN:/tex-archive/fonts/utilities/fontinst/doc?  And if they to, how do
you exclude the talks directory?  And if they do not - there are some
automatic updates, aren't there - why is this part not covered?

Regards, Frank
-- 
Frank Küster
Debian Developer (teTeX/TeXLive)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian TeX Maintainers <debian-tex-maint@lists.debian.org>:
Bug#482915; Package texlive-font-utils. Full text and rfc822 format available.

Acknowledgement sent to Manuel Pégourié-Gonnard <mpg@elzevir.fr>:
Extra info received and forwarded to list. Copy sent to Debian TeX Maintainers <debian-tex-maint@lists.debian.org>. Full text and rfc822 format available.

Message #47 received at 482915@bugs.debian.org (full text, mbox):

From: Manuel Pégourié-Gonnard <mpg@elzevir.fr>
To: Frank Küster <frank@debian.org>, 482915@bugs.debian.org
Cc: Norbert Preining <preining@logic.at>
Subject: Re: Bug#482915: texlive-doc-en: No license info for some fontinst documentation
Date: Fri, 04 Jul 2008 15:09:31 +0200
Hi,

Frank Küster scripsit (02.07.2008 20:45)
> I thought that there is an automatic way of updating texmf trees from
> CTAN?  Don't your scripts check whether anything has been uploaded to
> CTAN:/tex-archive/fonts/utilities/fontinst/doc?  And if they to, how do
> you exclude the talks directory?  And if they do not - there are some
> automatic updates, aren't there - why is this part not covered?
> 
Well, nothing is really automatic in the CTAN -> TL process.  There are
scripts that make the process semi-automated, namely one checks for CTAN
updates and then another one is manually called to convert the trees from ctan
form to tds form.  Perhaps the most interesting script for you is ctan2tds,
which sometimes has messages like "die "skipping, nosell'", thought is is not
really intended to be readable.

However some things are sometimes updated completely manually, for various
reasons, such as last update was long before the current mechanism began, or
it takes more time to write the relevant script that to do it manually, or
whatever.  Looks like the talks subdir of fontinst is in this case: if I would
update fontinst now using the scripts, it would no be removed.  (By the way,
this is a problem, since it means info has been lost about why this directory
 was previously excluded.)

Hope this answers your question: in general as well as this particular case,
there's no way to be sure what is excluded from the ctan -> tl process (or
changed in this process) and why, but in many cases the ctan2tds is your best
chance if you manage to read it.

Manuel.





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 16 Feb 2009 07:48:48 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:46:45 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.